Name:    libipt
Version: 2.1
Release: 2
Summary: Intel(R) Processor Trace Decoder Library
License: BSD
URL:     https://github.com/intel/libipt
Source0: https://github.com/intel/%{name}/archive/v%{version}.tar.gz
BuildRequires: gcc-c++ cmake 
ExclusiveArch: %{ix86} x86_64 ppc64le

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.


%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
ExclusiveArch: %{ix86} x86_64 loongarch64 ppc64le

%description devel
This package contains the development files for Intel Processor Trace (Intel PT)
Decoder Library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DPTUNIT:BOOL=ON -DMAN:BOOL=OFF \
       -DDEVBUILD:BOOL=ON .

make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%check
ctest -V %{?_smp_mflags}

%ldconfig_scriptlets 

%files
%doc README
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%doc doc/howto_*.md
%{_includedir}/*
%{_libdir}/%{name}.so

%changelog
* Wed Feb 21 2024 xurui <rui.xu@shingroup.cn> - 2.1-2
- Add ppc64le support

* Thu Jan 25 2024 liuchao <liuchao173@huawei.com> - 2.1-1
- Upgrade to 2.1:
  - a new tool 'ptseg' for finding the PSB segment for a given offset.
  - a new layer 'evt' representing the trace as a list of events.
  - event tracing (cfe and evd packets).
  - C11 threads, if available.
  - Bug fixes and support for latest processors.

* Thu Feb 16 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 2.0.5-2
- Add loongarch64 support

* Wed Jul 13 2022 qinyu <qinyu32@huawei.com> - 2.0.5-1
- Upgrade to 2.0.5.

* Mon Nov 29 2021 zhouwenpei <zhouwenpei1@huawei.com> - 2.0.4-1
- Upgrade to 2.0.4.

* Wed Aug 19 2020 shenkai <shenkai8@huawei.com> - 2.0.3-1
- Upgrade to 2.0.3.

* Tue Feb 25 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.0.1-1
- Package init.
